TokenControllerQueryTokens Method

POST /Token/QueryTokens Gets a list of TokenDefinitionData objects matching the specified criteria.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("QueryTokens")]
public HttpResponseMessage QueryTokens(
	[FromBodyAttribute] GetTokensOptions options,
	Nullable<Guid> sessionId = null
)

Parameters

options
Type: Dundas.BI.WebApi.ModelsGetTokensOptions
An object that carries all needed information about the tokens that need to be retrieved.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: HttpResponseMessage
A status code indicating success or failure. If successful, a list of TokenDefinitionData objects.
See Also